Package org.opensaml.storage.impl.client

# Class XMLClientStorageServiceStore.XMLClientStorageServiceStoreFactory

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.storage.impl.client.XMLClientStorageServiceStore.XMLClientStorageServiceStoreFactory

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ClientStorageServiceStore.Factory`

Enclosing class:
  XMLClientStorageServiceStore

public static class XMLClientStorageServiceStore.XMLClientStorageServiceStoreFactory extends AbstractInitializableComponent implements ClientStorageServiceStore.Factory
Factory for XML-backed store.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final ParserPool`
`parserPool`
ParserPool to pass into stores.

## Constructor Summary

Constructors
Constructor
Description
`XMLClientStorageServiceStoreFactory()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doDestroy()`
`protected void`
`doInitialize()`
`ClientStorageServiceStore`
`load(String raw, ClientStorageService.ClientStorageSource src)`
Load raw data into a new `ClientStorageServiceStore` instance.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parserPool

@Nonnull private final ParserPool parserPool
ParserPool to pass into stores.

## Constructor Details

### XMLClientStorageServiceStoreFactory

public XMLClientStorageServiceStoreFactory()
Constructor.

## Method Details

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### doDestroy

protected void doDestroy()

Overrides:
  `doDestroy` in class `AbstractInitializableComponent`

### load

@Nonnull public ClientStorageServiceStore load(@Nullable @NotEmpty String raw, @Nonnull ClientStorageService.ClientStorageSource src)
Load raw data into a new `ClientStorageServiceStore` instance.

Specified by:
  `load` in interface `ClientStorageServiceStore.Factory`
Parameters:
  `raw` - data to load
  `src` - data source
Returns:
  new store instance